public class DividendStock extends Stock
{
	private double dividends = 0;
	
	public DividendStock(String symbol, int number, double costPrice)
	{
		super(symbol,number, costPrice);
	}
	
	public DividendStock(String symbol, double costPrice)
	{
		super(symbol,costPrice);
	}
	
	public void payDividends(double amountPerShare){
		dividends += amountPerShare*getNumber();
	}
	
	public double getMarketValue(){
		return super.getMarketValue() + dividends;
	}
	
	public String toString(){
		return super.toString() +"\nDividends: " + dividends;
	}
}